## org.eclipse.ocl.expressions.operations
Class RealLiteralExpOperations

    java.lang.Object
      org.eclipse.ocl.expressions.operations.OCLExpressionOperations
          org.eclipse.ocl.expressions.operations.RealLiteralExpOperations

    public class RealLiteralExpOperations

extends OCLExpressionOperations

A static utility class that provides operations related to 'Real Literal Exp' model objects.

The following operations are supported:

- `Check Real Type`

Constructor Summary
`protected` `RealLiteralExpOperations()`

Method Summary

`static

`<C> boolean`

`

`checkRealType(RealLiteralExp<C> realLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
self.type.name = 'Real'

Methods inherited from class org.eclipse.ocl.expressions.operations.OCLExpressionOperations
`accept, getName, getType, setName, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RealLiteralExpOperations

    protected RealLiteralExpOperations()

Method Detail

### checkRealType

    public static <C> boolean checkRealType(RealLiteralExp<C> realLiteralExp,
                                            DiagnosticChain diagnostics,
                                            Map<Object,Object> context)

  self.type.name = 'Real'

  Parameters:
    `realLiteralExp` - The receiving 'Real Literal Exp' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.